- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaePassStateStencilOperation Namespace Reference

The stencil operation types for the effect pass render states. More...

## Enumerations
enum | Operation { KEEP = 0x1E00, ZERO = 0x0000, REPLACE = 0x1E01, INCREMENT = 0x1E02, DECREMENT = 0x1E03, INVERT = 0x1E0A, INCREMENT_WRAP = 0x8507, DECREMENT_WRAP = 0x8508, INVALID }
| Enumerates the COLLADA stencil operation types. More...
## Functions
FCOLLADA_EXPORT Operation | FromString (const char *value)
| Converts the COLLADA render state stencil operation string to the stencil operation type.
Operation | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.
FCOLLADA_EXPORT const char * | ToString (Operation op)
| Converts the stencil operation type to its COLLADA render state function string.

## Detailed Description

The stencil operation types for the effect pass render states.

## Enumeration Type Documentation

enum FUDaePassStateStencilOperation::Operation

  | Enumerates the COLLADA stencil operation types. Enumerator:
  KEEP | Keep the current stencil value.
  ZERO | Set the stencil value to zero.
  REPLACE | Replace the stencil value with the new value.
  INCREMENT | Increment the stencil value, stop at maximum value.
  DECREMENT | Decrement the stencil value, stop at zero.
  INVERT | Invert the stencil value. On a 8-bit stencil buffer, this implies the following: StencilValue = 255 - StencilValue.
  INCREMENT_WRAP | Increment the stencil value and if the maximum value is reached, set to zero.
  DECREMENT_WRAP | Decrement the stencil value and if zero is reached, set to the maximum value.
  INVALID | An invalid stencil operation.

## Function Documentation

Operation FUDaePassStateStencilOperation::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT Operation FUDaePassStateStencilOperation::FromString | ( | const char * | value | ) |

  | Converts the COLLADA render state stencil operation string to the stencil operation type. Parameters:
  | value | The render state stencil operation string.
Returns: The stencil operation type.

FCOLLADA_EXPORT const char* FUDaePassStateStencilOperation::ToString | ( | Operation | op | ) |

  | Converts the stencil operation type to its COLLADA render state function string. Parameters:
  | op | The stencil operation type.
Returns: The render state stencil operation string.